#pragma once

/*
 * Eventually move most of these into runtime locations.
 */
constexpr int INV_WALL = 0;
constexpr int INV_SPACE = 1;
constexpr int WALL_VALUE = 1;
constexpr int SPACE_VALUE = 0;
constexpr int WALL_PATH_LIMIT = 1000;
constexpr int WALL_LIGHT_LEVEL = 3;
constexpr int WORLDBUILD_DIVISION = 4;
constexpr int WORLDBUILD_SHRINK = 2;
constexpr int WORLDBUILD_MAX_PATH = 200;
constexpr int VIDEO_WINDOW_X=1600;
constexpr int VIDEO_WINDOW_Y=900;
constexpr int UI_FONT_SIZE=30;
constexpr int BASE_MAP_FONT_SIZE=90;
constexpr int GAME_MAP_PIXEL_POS = 600;
constexpr int MAX_FONT_SIZE = 140;
constexpr int MIN_FONT_SIZE = 20;
constexpr int STATUS_UI_WIDTH = 40;
constexpr int STATUS_UI_HEIGHT = 30;
constexpr float PERCENT = 0.01f;
constexpr wchar_t BG_TILE = L'█';
constexpr wchar_t UI_BASE_CHAR = L'█';
constexpr int BG_BOX_OFFSET=5;

// NOTE: max seems to be about x=240, y=120
constexpr int INVENTORY_PIXEL_X=50;
constexpr int INVENTORY_PIXEL_Y=50;
constexpr int INVENTORY_WIDTH=99;
constexpr int INVENTORY_HEIGHT=STATUS_UI_HEIGHT-3;
constexpr int NEXT_LEVEL_WIDTH=60;
constexpr int NEXT_LEVEL_HEIGHT=15;
constexpr const char *FONT_FILE_NAME="./assets/text.otf";
constexpr const char *TILE_MAP_CONFIG="./assets/tiles.json";
